/***************************************
 *                                     *
 * Style de l'application QoQ-CoT      *
 *                                     *
 ***************************************/
/**
 *
 * ********************************* ENGLISH *********************************
 *
 * --- Copyright notice :
 *
 * Copyright 2013-2024 DOSI AMU & al. (Frédéric Bloise, Hugo Di Giovanni, Frédéric Giudicelli, Gérard Milhaud, Arnaud Salvucci)
 *
 *
 * --- Statement of copying permission
 *
 * This file is part of QoQ-CoT.
 *
 * QoQ-CoT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * QoQ-CoT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with QoQ-CoT; if not, write to the Free Software
 * Foundation, 51 Franklin Street, Fifth Floor Boston, MA 02110-1301 USA
 *
 * *********** TRADUCTION FRANÇAISE PERSONNELLE SANS VALEUR LÉGALE ***********
 *
 * --- Notice de Copyright :
 *
 * Copyright 2013-2024 DOSI AMU & al. (Frédéric Bloise, Hugo Di Giovanni, Frédéric Giudicelli, Gérard Milhaud, Arnaud Salvucci)
 *
 *
 * --- Déclaration de permission de copie
 *
 * Ce fichier fait partie de QoQ-CoT.
 *
 * QoQ-CoT est un logiciel libre : vous pouvez le redistribuer ou le modifier
 * selon les termes de la Licence Publique Générale GNU telle qu'elle est
 * publiée par la Free Software Foundation ; soit la version 3 de la Licence,
 * soit (à votre choix) une quelconque version ultérieure.
 *
 * QoQ-CoT est distribué dans l'espoir qu'il soit utile, mais SANS AUCUNE
 * GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou
 * d'ADAPTATION DANS UN BUT PARTICULIER. Voir la Licence publique Générale GNU
 * pour plus de détails.
 *
 * Vous devriez avoir reçu une copie de la Licence Publique Générale GNU avec
 * QoQ-CoT ; si ça n'était pas le cas, écrivez à la Free Software Foundation,
 * 51 Franklin Street, Fifth Floor Boston, MA 02110-1301 USA
 *
 */


 @import url('https://fonts.googleapis.com/css?family=Josefin+Sans:300|Raleway'); /* Police Googlefont Open source. plus d'infos:https://fonts.google.com/about */
/* Page */

html
{
    font-size:100%; /* Evite un bug d'IE 6-7. */
}

body
{
    background-color: #ecf0f1;
    margin:0;
    padding:0;
    font-family: 'Raleway', sans-serif;
}

#document
{
    padding-top: 90px;
    padding-bottom: 50px;
    background-color:white;
    color:black;
    font-size: 1em;
    line-height: 1.4;
    margin: auto;
    width:100%;
    min-height: 600px;
    min-height: calc(100vh - 231px);
}

#corps
{
    padding:20px 0px 20px 0px;
    text-align:justify ;
}

/*barre de navigation - version ordinateur*/
nav{
  position: fixed;
  top: 0;
  display: block;
  text-align: center;
  width: 100%;
  background-color: white;
  -moz-box-shadow: 0px 3px 3px 0px #656565;
  -webkit-box-shadow: 0px 3px 5px 0px #656565;
  -o-box-shadow: 0px 3px 3px 0px #656565;
  box-shadow: 0px 3px 3px 0px #656565;
  z-index: 9999;
}

h1
{
    color:black;
    font-family: 'Josefin Sans', sans-serif;
    font-size: 2em;
    line-height: 0.7;
    margin:0;
    padding: 20px;
    padding-right: calc(100% - 500px - (6 * 10%));
    float: left;
    overflow-y: auto;
}

.logout {
  float: none;
  text-align: center;
  background-image: url("../img/bandeaulo.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 400px 80px ;
  padding: 0;
  margin : auto;
  line-height: normal;
  width: 420px;
}

h1 a
{
    color:black;
}

.imgnav {
  width: 100px;
  padding: 5px;
  float: left;
  display: block;
}

h2{
  font-family: 'Raleway', sans-serif;
}
/*barre de navigation - version mobile*/

/* Liens */
a
{
    text-decoration:none;
}


a:hover, a:focus, a:active
{
    color:green;
}

/* Pas de bordure pointillée ou halo lors du clic sur un lien */
a:active
{
    outline:none;
}

/* Pas de bordure autour des images dans les liens */
a img
{
    border:none;
}


/* Divers éléments de type en-ligne */
em
{
    font-style:italic;
}

strong
{
    font-weight:bold;
}

/* Formulaires */
form, fieldset
{
    border:none;
    margin:0;
    padding:0;
}

input, button, select
{
    vertical-align:middle; /* Solution pb. d'alignement. */
}


img
{
    border:0
}


.clear
{
    clear:both;
}

.clear hr
{
    display:none;
}

#tete
{
    height:71px;
}


/* Style des menus */
#menugraphe, #menu
{
    font-family: 'Josefin Sans', sans-serif;
}

#actu a
{
    background:url('../img/fleche.png') no-repeat;
    padding-left:5px;

}

#menu li#actu
{
    border-left:1px solid black;
    width:320px;
}

#menu
{
    height:42px;
    margin:auto;
    padding:0;
    width:100%;
}

#menugraphe, #menugraphe ul
{
    height:235px;
    margin:auto;
    padding:30px 0 0;
    width:1280px;
    text-align: center;
}
div#toggle-menu{
  display: none;
}

@media (min-width: 768px){
  #menugraphe li, #menu li
  {
      display:table-cell;
      list-style:none;
  }

  #menu li
  {
      height:40px;
      padding:0;
      vertical-align:middle;
      width: 10%;
  }
}

#menugraphe li
{
    width:245px;
}

#menugraphe li span
{
    display:block;
    font-size:0.6em;
    font-style:italic;
}

#menugraphe li img, #menu li img
{
    width:200px;
}

#menugraphe a, #menu a
{
    color: black;
    font-family: 'Raleway', sans-serif;
    display:block;
    text-align:center;
    text-decoration:none;
    font-weight: bold;
}
#menugraphe a{
  font-size: 1.3em;
}
#menu a{
  font-size: 1.3em;
}

#menugraphe a#mduree
{
    background-image:url('../img/menu-duree-i.png');
    background-repeat:no-repeat;
    padding-top:200px;
    width:200px;
    transition: 0.2s;
}

#menugraphe a#mduree:hover, #menugraphe a#mduree.active
{
    background-image:url('../img/menu-duree-a.png');
    background-repeat:no-repeat;
    -ms-transform-origin: 50% 50%; /* IE 9 */
    -ms-transform: scale(1.05,1.05); /* IE 9 */
    -webkit-transform-origin: 50% 50%; /* Chrome, Safari, Opera */
    -webkit-transform: scale(1.05,1.05); /* Chrome, Safari, Opera */
    transform-origin: 50% 50%;
    transform: scale(1.05,1.05);
}

#menugraphe a#mcpu
{
    background-image:url('../img/menu-cpu-i.png');
    background-repeat:no-repeat;
    padding-top:200px;
    width:200px;
    transition: 0.2s;

}

#menugraphe a#mcpu:hover, #menugraphe a#mcpu.active
{
    background-image:url('../img/menu-cpu-a.png');
    background-repeat:no-repeat;
    -ms-transform-origin: 50% 50%; /* IE 9 */
    -ms-transform: scale(1.05,1.05); /* IE 9 */
    -webkit-transform-origin: 50% 50%; /* Chrome, Safari, Opera */
    -webkit-transform: scale(1.05,1.05); /* Chrome, Safari, Opera */
    transform-origin: 50% 50%;
    transform: scale(1.05,1.05);
}

#menugraphe a#mhumain
{
    background-image:url('../img/menu-humain-i.png');
    background-repeat:no-repeat;
    padding-top:200px;
    width:200px;
    transition: 0.2s;
}

#menugraphe a#mhumain:hover, #menugraphe a#mhumain.active
{
    background-image:url('../img/menu-humain-a.png');
    background-repeat:no-repeat;
    -ms-transform-origin: 50% 50%; /* IE 9 */
    -ms-transform: scale(1.05,1.05); /* IE 9 */
    -webkit-transform-origin: 50% 50%; /* Chrome, Safari, Opera */
    -webkit-transform: scale(1.05,1.05); /* Chrome, Safari, Opera */
    transform-origin: 50% 50%;
    transform: scale(1.05,1.05);
}

#menugraphe a#mos
{
    background-image:url('../img/menu-os-i.png');
    background-repeat:no-repeat;
    padding-top:200px;
    width:200px;
    transition: 0.2s;

}

#menugraphe a#mos:hover, #menugraphe a#mos.active
{
    background-image:url('../img/menu-os-a.png');
    background-repeat:no-repeat;
    -ms-transform-origin: 50% 50%; /* IE 9 */
    -ms-transform: scale(1.05,1.05); /* IE 9 */
    -webkit-transform-origin: 50% 50%; /* Chrome, Safari, Opera */
    -webkit-transform: scale(1.05,1.05); /* Chrome, Safari, Opera */
    transform-origin: 50% 50%;
    transform: scale(1.05,1.05);
}

#menugraphe a#mseuil
{
    background-image:url('../img/menu-seuil-i.png');
    background-repeat:no-repeat;
    padding-top:200px;
    width:200px;
    transition: 0.2s;

}

#menugraphe a#mseuil:hover, #menugraphe a#mseuil.active
{
    background-image:url('../img/menu-seuil-a.png');
    background-repeat:no-repeat;
    -ms-transform-origin: 50% 50%; /* IE 9 */
    -ms-transform: scale(1.05,1.05); /* IE 9 */
    -webkit-transform-origin: 50% 50%; /* Chrome, Safari, Opera */
    -webkit-transform: scale(1.05,1.05); /* Chrome, Safari, Opera */
    transform-origin: 50% 50%;
    transform: scale(1.05,1.05);
}

#menu a
{
    color:#f39c12;
    font-weight: normal;
}

#menu a:hover, #menu a.active
{
    color:#f39c12;
    font-weight: bold;
    text-decoration: underline;
}

#container
{
    margin:auto;
    width:1280px;
}

#logo
{
    display:block;
    margin:auto;
    margin-top: 40px;
    border-radius: 10px;
    width: 60%;
}

table
{
    border:1px solid black;
    border-collapse:collapse;
}

td
{
    border:1px solid black;
    text-align:center;
}

/* pied */
#pied
{
    padding-left:5px;
    padding-top:30px;
    height: 60px;
    text-align:center;
    -moz-box-shadow: 0px -3px 5px 0px #656565;
    -webkit-box-shadow: 0px -3px 5px 0px #656565;
    -o-box-shadow: 0px -3px 5px 0px #656565;
    box-shadow: 0px -3px 5px 0px #656565;
    background-color: white;
}

#pied a
{
    font-family:"times", "sans-serif";
    font-size:1.1em;
    padding-right:5px;
    text-decoration:none;
}

/* progressBar */
#progressbar
{
    margin:auto;
    margin-top:40px;
    width:600px;
}

#messageactu
{
    text-align:center;
}
/* formulaire d'authentification */
#formauth
{
    margin:auto;
    width:336px;
}

#formauth #submit
{
    margin-left:111px;
    width:205px;
}


/* formulaire du graphe "Utilisation détaillée par machine" */

/* animation pour atirer l'oeil de l'utilisateur sur l'erreur */
@keyframes animation {
    0% {font-size: 1.2em;}
    25% {font-size: 1.4em;}
    50% {font-size: 1.2em;}
    75% {font-size: 1.4em;}
    100% {font-size: 1.2em;}
}
.erreur{
  font-size: 1.2em;
  color: #e74c3c;
  font-family: 'Raleway', sans-serif;
  font-weight: bold;
  padding-left: 5%;
  animation-name: animation;
  animation-duration: 1s;
}

.graphe {
  overflow-x: auto;
}

label
{
    font-family: 'Raleway', sans-serif;
    display:inline-block;
    width:135px;
    font-size: 1em;
}

input
{
    margin-right:20px;
    width:200px;
    border: grey solid 1px;
    border-radius: 5px;
    padding: 5px;
    background-color: white;
}

input[type=text]
{
   width:162px;
}

input.hasDatepicker {
   width: 100px
}

select
{
    margin-right:20px;
    width:175px;
}

select.large
{
    margin-right:20px;
    width:375px;
}

select[multiple] {
    height:130px;
}

select[multiple].medium {
    height:70px;
}

#cpuform #l_composante,
#cpuform #l_salle,
#humainform #l_composante,
#humainform #l_salle,
#osform #l_composante,
#osform #l_salle
{
    width:135px;
}

.l_excludebut
{
    width:65px;
}

.l_exclufin
{
    width:55px;
}

#zonejoursouvres label
{
    font-size:0.9em;
    width:90px;
}

#zonejoursouvres input
{
    width:14px;
}

#l_heuredebut, #l_heurefin
{
    width:55px;
}

#l_mois, #l_annee
{
    width:65px;
}

#l_uniqueconn
{
    width:230px;
}

#form-recherche.select input
{
    width:175px;
}

#form-recherche #l_datef
{ 
    width:70px;
}

#submit
{
    margin-left:0px;
    width:150px;
    padding: 10px;
    border: black solid 1px;
    border-radius: 5px;
    background-color: #ecf0f1;
    margin: auto;
    display: block;
    margin-bottom: 50px;
    transition: 0.2s;
}

#submit:hover
{
    background-color: #f1c40f;
    -ms-transform-origin: 50% 50%; /* IE 9 */
    -ms-transform: scale(1.05,1.05); /* IE 9 */
    -webkit-transform-origin: 50% 50%; /* Chrome, Safari, Opera */
    -webkit-transform: scale(1.05,1.05); /* Chrome, Safari, Opera */
    transform-origin: 50% 50%;
    transform: scale(1.05,1.05);
}

#form-recherche #dated, #form-recherche #datef
{
    width:130px;
}

#connexion
{
    float:right;
    font-size:1.2em;
}

#osimg
{
    display:block;
    margin:auto;
}

.del_admin
{
    cursor:pointer;
}

/*redéfinition de certaines propriétés pour le mobile*/

@media (max-width: 767px) {
  ul#menu{
		display: none;
    height: auto;
    margin: 0;
	}
	div#toggle-menu{
    display: block;
		float: right;
		height: 60px;
	}
	div#toggle-menu a{
		float: right;
		width: 40px;
		height: 30px;
		margin: -5px 20px 0px 0;
		text-align: center;
		color: black;
	}
	div#toggle-menu i{
		width: 40px;
		height: 30px;
		line-height: 30px;
	}
  ul#menu{
		padding: 0;
		margin: 0;
	}
	ul#menu li {
		text-align: center ;
    display: inline-block;
		list-style: none;
		width: 100%;
		padding: 0px;
		margin: 0px;
	}
	ul#menu li a{
		line-height: 50px ;
		font-size: 1em ;
		font-weight: bold ;
		letter-spacing: 2px ;
		padding-bottom: 10px;
		display: block;
		text-decoration: none ;
		height: 40px;
		z-index: 9999;
	}

	ul#menu a:hover{
		transition: 0.35;
	}

  #logo {
    width: 100%;
  }

  h1{
    padding-right: 0;
  }

  #menugraphe{
    width: 100%;
    height: auto;
  }

  #menugraphe ul{
    height: auto;
    margin-bottom: 30px;
  }
  #menugraphe, #menugraphe ul {
      list-style: none;
  }
  #menugraphe li{
    margin: auto;
    width: 200px;
  }
  #menugraphe a {
    margin-bottom: 10px;
  }
  form{
    width: 100%;
  }
  #forms{
    overflow-x: auto;
  }

  #connexions{
    overflow-x: auto;
  }
}

table#tableau_connexions tbody tr 
{
  counter-increment : rownum ; 
}
table#tableau_connexions tbody
{ 
  counter-reset: rownum; 
}
table#tableau_connexions td.rownums:before 
{ 
  content: counter(rownum) ; 
}

